## org.biojava.bio.structure.io.mmcif
Class ChemicalComponentDictionary

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.ChemicalComponentDictionary

    public class ChemicalComponentDictionary

extends Object

A representation of the Chemical Component Dictionary.

Since:
  1.7
Author:
  Andreas Prlic
See Also:
  link into mmCIF dictionary

Constructor Summary
`ChemicalComponentDictionary()`

Method Summary
`void` `addChemComp(ChemComp comp)` add a new component to the dictionary
`ChemComp` `getParent(ChemComp c)` Get the parent of a component.
`ChemComp` `getReplaced(ChemComp c)` if ChemComp is replacing another one, get the old version otherwise return the same ChemComp again.
`ChemComp` `getReplaced(String id)`
`ChemComp` `getReplacer(ChemComp c)` if ChemComp is replaced by another one, get the newer version otherwise return the same ChemComp again.
`ChemComp` `getReplacer(String id)`
`boolean` `isReplaced(ChemComp c)`
`boolean` `isReplaced(String id)`
`boolean` `isReplacer(ChemComp c)`
`boolean` `isReplacer(String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChemicalComponentDictionary

    public ChemicalComponentDictionary()

Method Detail

### isReplaced

    public boolean isReplaced(ChemComp c)

### isReplaced

    public boolean isReplaced(String id)

### isReplacer

    public boolean isReplacer(ChemComp c)

### isReplacer

    public boolean isReplacer(String id)

### getReplacer

    public ChemComp getReplacer(ChemComp c)

  if ChemComp is replaced by another one, get the newer version otherwise return the same ChemComp again.

  Parameters:
    `c` -
  Returns:
    get the component that replaced ChemComp.

### getReplacer

    public ChemComp getReplacer(String id)

### getReplaced

    public ChemComp getReplaced(ChemComp c)

  if ChemComp is replacing another one, get the old version otherwise return the same ChemComp again.

  Parameters:
    `c` - the ChemComp for which older versions should be looked up.

### getReplaced

    public ChemComp getReplaced(String id)

### getParent

    public ChemComp getParent(ChemComp c)

  Get the parent of a component. If component has no parent, return null

  Parameters:
    `c` -
  Returns:
    get the parent component or null if ChemComp has no parent.

### addChemComp

    public void addChemComp(ChemComp comp)

  add a new component to the dictionary

  Parameters:
    `comp` -